The Spring Framework

## org.springframework.beans.propertyeditors
Class CharArrayPropertyEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          org.springframework.beans.propertyeditors.CharArrayPropertyEditor

All Implemented Interfaces:
  PropertyEditor

    public class CharArrayPropertyEditor

extends PropertyEditorSupport

Editor for char arrays. Strings will simply be converted to their corresponding char representations.

Since:
  1.2.8
Author:
  Juergen Hoeller
See Also:
  `String.toCharArray()`

Constructor Summary
`CharArrayPropertyEditor()`

Method Summary
`String` `getAsText()`
`void` `setAsText(String text)`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getCustomEditor, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setSource, setValue, supportsCustomEditor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CharArrayPropertyEditor

    public CharArrayPropertyEditor()

Method Detail

### setAsText

    public void setAsText(String text)

  Specified by:
    `setAsText` in interface `PropertyEditor`
  Overrides:
    `setAsText` in class `PropertyEditorSupport`

### getAsText

    public String getAsText()

  Specified by:
    `getAsText` in interface `PropertyEditor`
  Overrides:
    `getAsText` in class `PropertyEditorSupport`

The Spring Framework

Copyright © 2002-2008 The Spring Framework.